apiVersion: kubevirt.io/v1
kind: VirtualMachine
metadata:
  name: mtv-udn
  namespace: udn-ns
spec:
  runStrategy: Always
  template:
    spec:
      architecture: amd64
      domain:
        clock:
          timezone: UTC
        cpu:
          cores: 1
          sockets: 2
        devices:
          disks:
          - bootOrder: 1
            disk:
              bus: virtio
            name: containerdisk
          inputs:
          - bus: virtio
            name: tablet
            type: tablet
          interfaces:
          - name: udn-l2-net
            binding:
              name: l2bridge
          tpm:
            enabled: false
        firmware:
          bootloader:
            bios: {}
        machine:
          type: q35
        memory:
          guest: 2Gi
        resources: {}
      networks:
      - name: udn-l2-net
        pod: {}
      volumes:
        - name: containerdisk
          containerDisk:
            image: quay.io/containerdisks/fedora:latest
